config-rom-pretty-printer(8)

NAME
config-rom-pretty-printer - IEEE 1212 / IEEE 1394 Configuration ROM pretty printer

SYNOPSIS
config-rom-pretty-printer < file

cat file | config-rom-pretty-printer

DESCRIPTION

config-rom-pretty-printer is a utility to read Configuration ROM data from stdin and writes a human-readable annotated representation to stdout. The data may be binary data formatted by IEEE 1212 (ISO/IEC 13213).

It was firstly written by Stefan Richter 2010 as Python 2 script under unique license. Current version was written by Takashi Sakamoto 2023 as C language program under GPL v2 license and drops some legacy functions supported by the original one.

BUGS
Report bugs to <"linux1394-devel@sourceforge.net">.
"linux-firewire-utils" home page: <"https://git.kernel.org/pub/scm/utils/ieee1394/linux-firewire-utils.git/">.

SEE ALSO
lsfirewire(8) lsfirewirephy(8), firewire-request(8) firewire-phy-command(8)